v1.0.0
OpenAPI 3.1.0

Send a newsletter

US region

Client Libraries

Send a newsletter

Send a newsletter immediately. The newsletter must be in a draft state. If the newsletter has already been sent, you'll get a 400 error. The recipients for the newsletter are defined when you create/update the newsletter. If you're not sure who will receive the newsletter, you can use the List newsletters endpoint to get a list of newsletters and their recipients.

To reschedule a newsletter, use the Schedule a newsletter endpoint instead.

Path Parameters
  • newsletter_id
    Type: integer
    required

    The identifier of a newsletter.

Body
application/json

Optional newsletter rate limiting. If you set rate_limit_email_rate or rate_limit_time_period, set both; rate_limit_spread can be set alone.

  • rate_limit_email_rate
    Type: integer
    min:  
    1

    Maximum number of messages per time period. NOTE: Though this states email_rate, you can use this for other message channels. Only fixed rate limits are supported, not daily ramp limits.

  • rate_limit_spread
    Type: boolean

    When true, spreads messages evenly across the time period. Otherwise, it sends as fast as possible up to the limit in each period.

  • rate_limit_time_period
    Type: integerenum

    Time period in seconds for rate limiting. Must be one of 60 (minute), 3600 (hour), or 86400 (day).

    values
    • 60
    • 3600
    • 86400
Responses
  • application/json
  • application/json
  • 404

    The newsletter does not exist.

  • application/json
  • 429

    Your request is over the 10-per-second limit.

Request Example for post/v1/newsletters/{newsletter_id}/send
curl https://api.customer.io/v1/newsletters/1/send \
  --request POST \
  --header 'Content-Type: application/json' \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
  --data '{
  "rate_limit_email_rate": 1000,
  "rate_limit_time_period": 3600,
  "rate_limit_spread": true
}'
{
  "newsletter": {
    "id": 128275,
    "deduplicate_id": "128275:1484870424",
    "type": "email",
    "content_ids": [
      45
    ],
    "name": "Weekly Product Update",
    "sent_at": 1481653929,
    "created": 1481653919,
    "updated": 1481653929,
    "recipient_segment_ids": [
      42,
      99
    ],
    "tags": [
      "Product Updates"
    ],
    "subscription_topic_id": 5
  }
}